Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# ibrsv

## Name

ibrsv -- request service (board)

## Synopsis

    #include <gpib/ib.h>

``int ibrsv`(int ud, int status_byte);`

## Description

The serial poll response byte of the board specified by the board descriptor `ud` is set to `status_byte`. If MSS (bit 6 in `status_byte`) is set, then the IEEE 488.2 local message "reqt" will be set true, causing the board to request service by asserting the SRQ line. If the MSS bit is clear, then the "reqf" message will be set true, causing the board to stop requesting service.

Boards will also automatically stop requesting service when they are serial polled by the controller.

This function follows the implementation technique described in IEEE 488.2 section 11.3.3.4.3. It is prone to generating spurious requests for service, which are permitted by 488.2 but less than ideal. In order to avoid spurious requests, use ibrsv2() instead.

## Return value

The value of ibsta is returned.

Prev | Home | Next
ibrsp | Up | ibrsv2